import { useEffect, useState } from 'react'
import { MuteLists } from 'types'
import { useAppSelector } from './redux'
import { MetadataController } from 'controllers'

export const useMuteLists = () => {
  const [muteLists, setMuteLists] = useState<{
    admin: MuteLists
    user: MuteLists
  }>({
    admin: {
      authors: [],
      replaceableEvents: []
    },
    user: {
      authors: [],
      replaceableEvents: []
    }
  })

  const userState = useAppSelector((state) => state.user)

  useEffect(() => {
    const getMuteLists = async () => {
      const pubkey = userState.user?.pubkey as string | undefined

      const metadataController = await MetadataController.getInstance()
      metadataController.getMuteLists(pubkey).then((lists) => {
        setMuteLists(lists)
      })
    }

    getMuteLists()
  }, [userState])

  return muteLists
}
