import { Event } from 'nostr-tools'

export enum CommentEventStatus {
  Publishing = 'Publishing comment...',
  Published = 'Published!',
  Failed = 'Failed to publish comment.'
}

export interface CommentEvent extends Event {
  status?: CommentEventStatus
}

export type Game = {
  'Game Name': string
  '16 by 9 image': string
  'Boxart image': string
}

export interface ModFormState {
  dTag: string
  aTag: string
  rTag: string
  game: string
  title: string
  body: string
  featuredImageUrl: string
  summary: string
  nsfw: boolean
  screenshotsUrls: string[]
  tags: string
  downloadUrls: DownloadUrl[]
}

export interface DownloadUrl {
  url: string
  hash: string
  signatureKey: string
  malwareScanLink: string
  modVersion: string
  customNote: string
}

export interface ModDetails extends Omit<ModFormState, 'tags'> {
  id: string
  published_at: number
  edited_at: number
  author: string
  tags: string[]
}

export interface MuteLists {
  authors: string[]
  replaceableEvents: string[]
}
